package com.tykj.model.utils;



import com.tykj.model.sqlType.MysqlSqlType;
import com.tykj.model.sqlType.OscarSqlType;


import java.util.Map;

/**
 * @author HASEE
 */
public class SqlTypeUtil {

    public static Map<String, String>  getSqlTypeMap(String driveName){
        switch (driveName){
            case "org.h2.Driver":
            case "com.oscar.Driver":
                return OscarSqlType.TYPE_MAP;
            default:
                return MysqlSqlType.TYPE_MAP;
        }
    }
}
